Bug 219627 - Glest troubles with shadows on old nVidia videocards
Glest troubles with shadows on old nVidia videocards
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: glest (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 10:26 EST by Peter Lemenkov
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 17:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2006-12-14 10:26:03 EST
Description of problem: if I don't select "shadows: off" the game isn't
playable. The main game screen isn't displayed and I only see a grey screen with
  some artefacts.

I've see the next message in console:

[petro@host-12-124 ~]$ glest 
Couldn't process event: Your system doesn't support 3 texture units, required
for shadows
[petro@host-12-124 ~]$

If I tun shadows off everything is OK.

Version-Release number of selected component (if applicable): glest-2.0.0-2.fc6

How reproducible: always.


Steps to Reproduce:
1. Remove ~/.glest
2. start glest
3. press "Play"
4. press "Play now"
  
Actual results: gray screen

Expected results: gool 3D game )

Additional info: 

VGA compatible controller: nVidia Corporation NV11DDR [GeForce2 MX 100 DDR/200
DDR] (rev b2)

============ [xorg.conf] =================
Section "Device"

#       Option      "RenderAccel" "true"
        Identifier  "Videocard0"
        Driver      "nvidia"
        VendorName  "Videocard vendor"
        BoardName   "NVIDIA GeForce 2 MX (generic)"
        Option      "AllowGLXWithComposite" "true"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor0"
        DefaultDepth     16
        SubSection "Display"
                Viewport   0 0
                Depth     16
                Modes    "1280x1024" "1024x768"
        EndSubSection
EndSection

Section "DRI"
        Group        0
        Mode         0666
EndSection

Section "Extensions"
        Option      "Composite"
        Option      "RENDER" "Enable"
EndSection

==========================================

kmod-nvidia-legacy.i686                  1.0.7184-3.2.6.18_1.28 installed       
xorg-x11-drv-nvidia-legacy.i386          1.0.7184-2.lvn6        installed
Comment 1 Aurelien Bompard 2006-12-14 11:55:38 EST
Thanks for the report. Could you attach a file with the output of the glxinfo
command please ?
Comment 2 Peter Lemenkov 2006-12-15 03:13:24 EST
(In reply to comment #1)
> Thanks for the report. Could you attach a file with the output of the glxinfo
> command please ?

[petro@host-12-124 ~]$ glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.3
server glx extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_video_sync, GLX_SGI_swap_control
client glx vendor string: NVIDIA Corporation
client glx version string: 1.3
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_visual_info, 
    GLX_EXT_visual_rating, GLX_EXT_import_context, GLX_SGI_video_sync, 
    GLX_NV_swap_group, GLX_NV_video_out, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGI_swap_control, GLX_NV_float_buffer
GLX version: 1.3
GLX extensions:
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_SGIX_fbconfig, 
    GLX_SGIX_pbuffer, GLX_SGI_video_sync, GLX_SGI_swap_control, 
    GLX_ARB_get_proc_address
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce2 MX/AGP/3DNOW!
OpenGL version string: 1.5.3 NVIDIA 71.84
OpenGL extensions:
    GL_ARB_imaging, GL_ARB_multitexture, GL_ARB_point_parameters, 
    GL_ARB_point_sprite, GL_ARB_shader_objects, GL_ARB_shading_language_100, 
    GL_ARB_texture_compression, GL_ARB_texture_cube_map, 
    GL_ARB_texture_env_add, GL_ARB_texture_env_combine, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_rectangle, GL_ARB_transpose_matrix, 
    GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader, 
    GL_ARB_window_pos, GL_S3_s3tc, GL_EXT_texture_env_add, GL_EXT_abgr, 
    GL_EXT_bgra, GL_EXT_blend_color, GL_EXT_blend_minmax, 
    GL_EXT_blend_subtract, GL_EXT_clip_volume_hint, 
    GL_EXT_compiled_vertex_array, GL_EXT_Cg_shader, 
    GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_multi_draw_arrays, 
    GL_EXT_packed_pixels, GL_EXT_paletted_texture, GL_EXT_pixel_buffer_object, 
    GL_EXT_point_parameters, GL_EXT_rescale_normal, GL_EXT_secondary_color, 
    GL_EXT_separate_specular_color, GL_EXT_shared_texture_palette, 
    GL_EXT_stencil_wrap, GL_EXT_texture_compression_s3tc, 
    GL_EXT_texture_cube_map, GL_EXT_texture_edge_clamp, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod, 
    GL_EXT_texture_lod_bias, GL_EXT_texture_object, GL_EXT_vertex_array, 
    GL_IBM_rasterpos_clip, GL_IBM_texture_mirrored_repeat, 
    GL_KTX_buffer_region, GL_NV_blend_square, GL_NV_fence, 
    GL_NV_fog_distance, GL_NV_light_max_exponent, GL_NV_packed_depth_stencil, 
    GL_NV_pixel_data_range, GL_NV_point_sprite, GL_NV_register_combiners, 
    GL_NV_texgen_reflection, GL_NV_texture_env_combine4, 
    GL_NV_texture_rectangle, GL_NV_vertex_array_range, 
    GL_NV_vertex_array_range2, GL_NV_vertex_program, GL_NV_vertex_program1_1, 
    GL_SGIS_generate_mipmap, GL_SGIS_multitexture, GL_SGIS_texture_lod, 
    GL_SUN_slice_accum

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x21 16 tc  0 16  0 r  y  .  5  6  5  0  4 16  0 16 16 16 16  0 0 None
0x22 16 dc  0 16  0 r  y  .  5  6  5  0  4 16  0 16 16 16 16  0 0 None
0x23 16 tc  0 16  0 r  .  .  5  6  5  0  4 16  0 16 16 16 16  0 0 None
0x24 16 tc  0 16  0 r  y  .  5  6  5  0  4  0  0 16 16 16 16  0 0 None
0x25 16 tc  0 16  0 r  .  .  5  6  5  0  4  0  0 16 16 16 16  0 0 None
0x26 16 dc  0 16  0 r  .  .  5  6  5  0  4 16  0 16 16 16 16  0 0 None
0x27 16 dc  0 16  0 r  y  .  5  6  5  0  4  0  0 16 16 16 16  0 0 None
0x28 16 dc  0 16  0 r  .  .  5  6  5  0  4  0  0 16 16 16 16  0 0 None
0x78 32 tc  1  0  0 c  .  .  0  0  0  0  0  0  0  0  0  0  0  0 0 None
[petro@host-12-124 ~]$ 
Comment 3 Aurelien Bompard 2006-12-15 17:26:32 EST
Thanks, now could I have the output of "glxinfo -l | grep UNIT" please ?
Comment 4 Peter Lemenkov 2006-12-18 07:47:38 EST
[petro@host-12-124 ~]$ glxinfo -l | grep UNIT
    GL_MAX_TEXTURE_UNITS_ARB = 2
        GL_MAX_TEXTURE_IMAGE_UNITS_ARB = 2
        GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB = 4
        GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB = 2
[petro@host-12-124 ~]$ 

Full log:

http://lemenkov.googlepages.com/glxinfo.txt
Comment 5 Aurelien Bompard 2006-12-18 17:57:13 EST
Got it ! It should be fixed in release 4. Please remove your ~/.glest/glest.ini
and report here if it does not work as expected ( "cool 3D game" ;o) ).

Note You need to log in before you can comment on or make changes to this bug.